package com.gh.gamecenter.common.eventbus;

import com.lightgame.download.DownloadEntity;

public class EBShowDialog {

    private String type;
    private String path;

    private DownloadEntity download;

    private boolean isUsed;

    public EBShowDialog(String type) {
        this.type = type;
    }

    public EBShowDialog(String type, String path) {
        this.type = type;
        this.path = path;
    }

    public EBShowDialog(String type, String path, DownloadEntity download) {
        this.type = type;
        this.path = path;
        this.download = download;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public boolean isUsed() {
        return isUsed;
    }

    public void setUsed(boolean used) {
        isUsed = used;
    }

    public DownloadEntity getDownloadEntity() {
        return download;
    }

    public void setDownloadEntity(DownloadEntity download) {
        this.download = download;
    }
}
